### File

`src/app/_models/transaction.ts`

### Index

###### Properties
from recipient sender to token tx Optional type value

### Properties

from
Type : `string`
Defined in src/app/_models/transaction.ts:26

recipient
Type : `AccountDetails`
Defined in src/app/_models/transaction.ts:29

sender
Type : `AccountDetails`
Defined in src/app/_models/transaction.ts:27

to
Type : `string`
Defined in src/app/_models/transaction.ts:28

token
Type : `TxToken`
Defined in src/app/_models/transaction.ts:30

tx
Type : `Tx`
Defined in src/app/_models/transaction.ts:31

Optional type
Type : `string`
Defined in src/app/_models/transaction.ts:33

value
Type : `number`
Defined in src/app/_models/transaction.ts:32

    import { AccountDetails } from '@app/_models/account';

    class BlocksBloom {
      low: number;
      blockFilter: string;
      blocktxFilter: string;
      alg: string;
      filterRounds: number;
    }

    class TxToken {
      address: string;
      name: string;
      symbol: string;
    }

    class Tx {
      block: number;
      success: boolean;
      timestamp: number;
      txHash: string;
      txIndex: number;
    }

    class Transaction {
      from: string;
      sender: AccountDetails;
      to: string;
      recipient: AccountDetails;
      token: TxToken;
      tx: Tx;
      value: number;
      type?: string;
    }

    class Conversion {
      destinationToken: TxToken;
      fromValue: number;
      sourceToken: TxToken;
      toValue: number;
      trader: string;
      user: AccountDetails;
      tx: Tx;
    }

    export { BlocksBloom, TxToken, Tx, Transaction, Conversion };

# result-matching ""

# No results matching ""